summaryrefslogtreecommitdiffstats
path: root/osdfapp.sh
diff options
context:
space:
mode:
authorShankaranarayanan Puzhavakath Narayanan <snarayanan@research.att.com>2018-01-12 04:46:15 +0000
committerGerrit Code Review <gerrit@onap.org>2018-01-12 04:46:15 +0000
commit15cd8fe4506650b77905e57a6898d1c687ee9bb9 (patch)
treef542413cb8f4dec2faee0ad7b464beb3fb4c2669 /osdfapp.sh
parente3e5575a06e3c02c8adecbeeb153d4a6a7f2fda4 (diff)
parent7167d1a0c3c30afbba61edb593580cbf7244e52c (diff)
Merge "OOF design framework seed code"
Diffstat (limited to 'osdfapp.sh')
-rwxr-xr-xosdfapp.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/osdfapp.sh b/osdfapp.sh
new file mode 100755
index 0000000..c54d59c
--- /dev/null
+++ b/osdfapp.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# -------------------------------------------------------------------------
+# Copyright (c) 2015-2017 AT&T Intellectual Property
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -------------------------------------------------------------------------
+#
+
+# Call osdf app after setting LD_LIBRARY_PATH for oracle client, postgres client, etc.
+
+cd $(dirname $0)
+
+# Environment variables below are for ORACLE_HOME and such things, and not needed for 1707 onwards
+# . ../dependencies/env.sh
+
+bash ../etc/make-certs.sh # create the https certificates if they are not present
+
+set -e
+
+mkdir -p logs
+
+if [ ! -e "osdf-optim" ]; then
+(
+ mkdir tmp
+ cd tmp
+ tar xzf ../../dependencies/SNIROOptimizationPack.tgz
+ mv osdf ../osdf-optim
+ cd ../osdf-optim/pywheels
+ pip install docopt* jsonschema*
+)
+cp etc/run-case-local.sh osdf-optim/run/
+fi
+
+if [ $# -ge 1 ]; then
+ export SNIRO_MANAGER_CONFIG_FILE="$1" # this file is passed by the DCAE controller
+fi
+
+# export FLASK_APP=osdfapp.py
+
+# flask run
+python osdfapp.py # running the app